<template>
  <NormalBankTransferWithdrawal
    v-if="selectedThemeName.includes('peru')"
    :normal-banks="props.normalBanks"
    :payment-banks="props.paymentBanks"
    :profile="props.profile"
  ></NormalBankTransferWithdrawal>
  <lazy-theme-common-desktop-payment-withdrawal-normal-bank-transfer-withdrawal
    v-else-if="isDesktop"
    :normal-banks="props.normalBanks"
    :payment-banks="props.paymentBanks"
    :profile="props.profile"
  />
  <lazy-theme-common-mobile-payment-withdrawal-normal-bank-transfer-withdrawal
    v-else
    :normal-banks="props.normalBanks"
    :payment-banks="props.paymentBanks"
    :profile="props.profile"
  />
</template>
<script lang="ts" setup>
import { IGetPaymentGatewayBanksResponse } from "@/models/getPaymentGatewayBanksRespone";
import { ProfileDto } from "@/models/getProfileResponse";
import { IGetTransactionBankListResponse } from "@/models/getTransactionBankListResponse";
import { store } from "~~/store";
import NormalBankTransferWithdrawal from "@/components/theme/desktop/peru/payment/withdrawal/normal-bank-transfer.client.vue";

const props = defineProps({
  normalBanks: {
    type: Object as PropType<IGetTransactionBankListResponse>,
    required: true,
  },
  paymentBanks: {
    type: Object as PropType<IGetPaymentGatewayBanksResponse>,
    required: true,
  },
  profile: {
    type: Object as PropType<ProfileDto>,
    required: true,
  },
});

const { isDesktop } = useDevice();
const selectedThemeName = computed(() => store.state.selectedThemeName);
</script>
